Subject: Re: [PATCH] powerpc: Support for MPIC on native cell

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 20 Oct 2006 09:40:44 +1000

On Thu, 2006-10-19 at 16:38 +0200, Arnd Bergmann wrote:
> On Monday 16 October 2006 09:45, Benjamin Herrenschmidt wrote:
> > +               /* The MPIC driver will get everything it needs from the
> > +                * device-tree, just pass 0 to all arguments
> > +                */
> > +               mpic = mpic_alloc(dn, 0, 0, 0, 0, " MPIC     ");
> 
> Do you expect future users to do the same and just pass zeroes?
> If so, maybe we should add a small wrapper like
> 
> static inline struct mpic *mpic_probe(struct device_node *dn)
> {
> 	return mpic_alloc(dn, 0, 0, 0, 0, " MPIC     ");
> }

Possibly... there are still flags that it can't figure out by itself,
like segher never put "big-endian" in the SLOF DT of the blades etc...

But yes, I might move in that direction.

Ben.